Debian Bug report logs - #443053
FTBFS: multiple definitions

version graph

Package: happs; Maintainer for happs is (unknown);

Reported by: Joachim Breitner <nomeata@debian.org>

Date: Tue, 18 Sep 2007 10:12:02 UTC

Severity: serious

Fixed in version happs/0.9.2.1-1

Done: Kari Pahula <kaol@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kari Pahula <kaol@debian.org>:
Bug#443053; Package libghc6-happs-dev. Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
New Bug report received and forwarded. Copy sent to Kari Pahula <kaol@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS: multiple definitions
Date: Tue, 18 Sep 2007 12:09:22 +0200
[Message part 1 (text/plain, inline)]
Package: libghc6-happs-dev
Version: 0.8.8+darcs20070523-2
Severity: important

Hi,

trying to recompile the package on a current debian sid machine results
in the attached errors...

Greetings,
Joachim


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.21.otto
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libghc6-happs-dev depends on:
ii  ghc6 [libghc6-base-dev]       6.6.1-2    GHC - the Glasgow Haskell Compilat
ii  ghc6-prof [libghc6-base-prof] 6.6.1-2    Profiling libraries for the Glasgo
ii  libghc6-binary-dev            0.3-2      Haskell library for binary seriali
ii  libghc6-haxml-dev             1.13.2-7   GHC6 libraries for using XML docum
ii  libghc6-hslogger-dev          1.0.3      The Haskell Logging Framework, GHC
ii  libghc6-mtl-dev               1.0.1-2    Haskell monad transformer library 
ii  libghc6-network-dev           2.0.1-2    Haskell network library for GHC

libghc6-happs-dev recommends no packages.

-- no debconf information
[happs_0.8.8+darcs20070523-2.nomeata1_i386.build (text/plain, attachment)]

Severity set to `serious' from `important' Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Mon, 08 Oct 2007 08:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Kari Pahula <kaol@debian.org>:
Bug#443053; Package libghc6-happs-dev. Full text and rfc822 format available.

Acknowledgement sent to Mike O'Connor <stew@vireo.org>:
Extra info received and forwarded to list. Copy sent to Kari Pahula <kaol@debian.org>. Full text and rfc822 format available.

Message #12 received at 443053@bugs.debian.org (full text, mbox):

From: Mike O'Connor <stew@vireo.org>
To: 443053@bugs.debian.org
Subject: block by 428060
Date: Wed, 31 Oct 2007 08:24:24 -0400
[Message part 1 (text/plain, inline)]
block 443053 by 428060
thanks

There are many other similar FTBFS bugs which are the result of new
ghcs6 being recompiled by gcc4.2 with its new optimizations.  Once they
settle on the right set of optimiztions to turn off when compiling
ghcs6, this bug should go away.

Please refer to #428060 for more information.

stew
[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 443053 added: 428060 and 443037 Request was from Mike O'Connor <stew@vireo.org> to control@bugs.debian.org. (Wed, 31 Oct 2007 12:30:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Kari Pahula <kaol@debian.org>:
Bug#443053; Package libghc6-happs-dev. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Kari Pahula <kaol@debian.org>. Full text and rfc822 format available.

Message #19 received at 443053@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: control@bugs.debian.org
Cc: 443053@bugs.debian.org
Subject: reassign 443053 to happs
Date: Sat, 12 Jan 2008 15:25:41 +0100
# Automatically generated email from bts, devscripts version 2.10.11
# reassign to source package
reassign 443053 happs 





Bug reassigned from package `libghc6-happs-dev' to `happs'. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Sat, 12 Jan 2008 14:30:09 GMT) Full text and rfc822 format available.

Reply sent to Kari Pahula <kaol@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joachim Breitner <nomeata@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 443053-close@bugs.debian.org (full text, mbox):

From: Kari Pahula <kaol@debian.org>
To: 443053-close@bugs.debian.org
Subject: Bug#443053: fixed in happs 0.9.2.1-1
Date: Sat, 29 Mar 2008 19:47:02 +0000
Source: happs
Source-Version: 0.9.2.1-1

We believe that the bug you reported is fixed in the latest version of
happs, which is due to be installed in the Debian FTP archive:

happs_0.9.2.1-1.diff.gz
  to pool/main/h/happs/happs_0.9.2.1-1.diff.gz
happs_0.9.2.1-1.dsc
  to pool/main/h/happs/happs_0.9.2.1-1.dsc
happs_0.9.2.1.orig.tar.gz
  to pool/main/h/happs/happs_0.9.2.1.orig.tar.gz
libghc6-happs-dev_0.9.2.1-1_i386.deb
  to pool/main/h/happs/libghc6-happs-dev_0.9.2.1-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 443053@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kari Pahula <kaol@debian.org> (supplier of updated happs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 29 Mar 2008 20:58:22 +0200
Source: happs
Binary: libghc6-happs-dev
Architecture: source i386
Version: 0.9.2.1-1
Distribution: unstable
Urgency: low
Maintainer: Kari Pahula <kaol@debian.org>
Changed-By: Kari Pahula <kaol@debian.org>
Description: 
 libghc6-happs-dev - Haskell library for building Internet applications
Closes: 443053 468937
Changes: 
 happs (0.9.2.1-1) unstable; urgency=low
 .
   * New upstream release (Closes: #443053, #468937)
   * Debhelper compat 4 -> 6.
   * Standards-Version 3.7.3 (no changes needed).
   * Set Homepage control field.
   * Use haskell-devscripts and hlibrary.mk for building.
   * Provided a README.Debian file with some (hopefully) useful links.
Files: 
 a89fd52dfd935de880629ab0110f36bb 1192 libdevel optional happs_0.9.2.1-1.dsc
 7f8958f35705bb8e4100013225281a99 125914 libdevel optional happs_0.9.2.1.orig.tar.gz
 9df3c67249a49b55c09ddb8b937c0ad1 5822 libdevel optional happs_0.9.2.1-1.diff.gz
 7f50b7912df03291baf5673b689f2778 5924002 libdevel optional libghc6-happs-dev_0.9.2.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH7psZeYl9593Atw0RAqXrAKCxKog9Jspa+f2EfrzrcjHQtiVBggCfVLd+
/Mx94DRhGX7xp/VSb0HpiO0=
=L7cr
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Aug 2008 08:05:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 18:56:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.